## 프로젝트 설명
* NHN Cloud SDK를 적용한 샘플입니다.

## 환경 설명
* Visual Studio 2019를 기준으로 작성했습니다.

### 프로젝트 속성 > 일반
* 출력 디렉터리 : $(SolutionDir)$(Platform)\$(Configuration)\
* 중간 디렉터리 : $(Platform)\$(Configuration)\

### 프로젝트 속성 > C/C++
* 일반 > 추가 포함 디렉터리(모든구성/모든플랫폼) : $(SolutionDir)..\include
	* NHN Cloud SDK 사용을 위해 redist\include를 참조합니다
### 프로젝트 속성 > 링커
* 일반 > 추가 라이브러리 디렉터리(Release/모든플랫폼) : $(SolutionDir)..\$(PlatformShortName)\$(Configuration)
* 일반 > 추가 라이브러리 디렉터리(Debug/모든플랫폼) : $(SolutionDir)..\$(PlatformShortName)\Release
* 입력 > 추가 종속성(모든구성/모든플랫폼) : ToastLogger.lib
	* DLL을 직접 Import 
### 프로젝트 속송 > 빌드 이벤트
* 빌드 후 이벤트(모든구성/모든플랫폼) 
	* 1. NHN Cloud SDK DLL을 샘플앱 바이너리가 생성되는 경로에 복사한다.
	* 2. Dump_syms.exe로 pdb를 이용해 심볼(*.sym)파일을 생성한다.
	* 3. 생성한 심볼(*.sym)파일을 zip으로 압축한다. 
	* 4. (개발자 작업)압축한 zip파일을 Log & Crash Search Console의 심볼 업로드 메뉴를 통해 업로드 한다. 이때 입력하는 버전 정보는 SDK 초기화시에 설정한 버전 정보와 동일해야 한다.
```
xcopy $(SolutionDir)..\$(PlatformShortName)\$(Configuration)\ToastLogger.dll   $(OutDir)\ /s /e /d /y
$(SolutionDir)..\dump_syms.exe $(SolutionDir)$(PlatformShortName)\$(Configuration)\$(ProjectName).pdb > $(SolutionDir)$(PlatformShortName)\$(Configuration)\$(ProjectName).sym
powershell Compress-Archive -Path $(SolutionDir)$(PlatformShortName)\$(Configuration)\$(ProjectName).sym  -DestinationPath $(SolutionDir)$(PlatformShortName)\$(Configuration)\$(ProjectName).zip -Force
```

## 코드 수정이 필요한 곳
* InitializeNHNCloudSDK() 함수내에서 AppKey, Project Version 정보를 설정해 주세요.
* SDK 초기화시 사용하는 설정값을 변경할 수 있습니다.

## 샘플 코드 설명
* 초기화 : InitializeNHNCloudSDK()

## 심볼 등록 (dump_syms.exe) 활용가이드
* 샘플 프로젝트의 빌드후 이벤트를 통해 만든 심볼파일의 압축파일을 Log & Crash Search Console을 통해 업로드 해야합니다.
	* 심볼 등록시 입력하는 버전 정보는, SDK 초기화시 입력하는 버전 정보와 일치해야 정확한 분석이 가능합니다.
	
	
